#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long  n,m,k; cin>>n>>m>>k;






    long long hor;
    hor  = n/k;
    if (n%k != 0){
        hor++;
    }
    long long ans;
    ans = hor*m/k;
    if (m%k!=0){
        ans+= hor;
    }
    cout << ans;





}
